
From: Pavel Machek <pavel@ucw.cz>

freezeable() already tests for TRACED/STOPPED processes, no need to do it
twice.

Signed-off-by: Pavel Machek <pavel@suse.cz>
Signed-off-by: Andrew Morton <akpm@osdl.org>
---

 kernel/power/process.c |    6 ++----
 1 files changed, 2 insertions(+), 4 deletions(-)

diff -puN kernel/power/process.c~clean-up-processc kernel/power/process.c
--- 25/kernel/power/process.c~clean-up-processc	Wed Jul  6 13:03:45 2005
+++ 25-akpm/kernel/power/process.c	Wed Jul  6 13:03:45 2005
@@ -59,6 +59,7 @@ int freeze_processes(void)
 	int todo;
 	unsigned long start_time;
 	struct task_struct *g, *p;
+	unsigned long flags;
 
 	printk( "Stopping tasks: " );
 	start_time = jiffies;
@@ -66,12 +67,9 @@ int freeze_processes(void)
 		todo = 0;
 		read_lock(&tasklist_lock);
 		do_each_thread(g, p) {
-			unsigned long flags;
 			if (!freezeable(p))
 				continue;
-			if ((frozen(p)) ||
-			    (p->state == TASK_TRACED) ||
-			    (p->state == TASK_STOPPED))
+			if (frozen(p))
 				continue;
 
 			freeze(p);
_
